<?php 
function wtd_button_view_on_products_page(){
  $hasCustomization =  get_post_meta( get_the_ID(),'_wtd_custom_design_checkbox', true );
  
  $get_product_url = get_permalink( get_the_ID() );
    
  $new_url = add_query_arg( array(
	'type' => 'sc_wtd_customize_product',
	'wtd_id' => get_the_ID()
  ), $get_product_url );
    
  if($hasCustomization == 'on'){
    echo '<input type="hidden" name="wtdbutton" id="wtdbutton" data-url="'. $new_url .'" value="'. get_the_ID() .'"/>';
  }
}

function wtd_button_display(){
  $dir = wtd_get_upload_dir();
  $settings = get_option( 'wtd_settings_data' );
  
  if( is_shop() ){
    global $wpdb;
    $strId = '';

    $sql_products="SELECT ".$wpdb->prefix."postmeta.post_id FROM ".$wpdb->prefix."postmeta INNER JOIN ".$wpdb->prefix."posts ON ".$wpdb->prefix."postmeta.post_id = ".$wpdb->prefix."posts.ID WHERE ".$wpdb->prefix."postmeta.meta_key = '_wtd_custom_design_checkbox' AND ".$wpdb->prefix."postmeta.meta_value = 'on' AND ".$wpdb->prefix."posts.post_status = 'publish' ORDER BY ".$wpdb->prefix."postmeta.post_id ASC";
    $getEnableProductId=$wpdb->get_results($sql_products);

    foreach ($getEnableProductId as $id){
      $strId .= $id->post_id.',';
    }

    echo '<input type="hidden" name="wtdEnableId" id="wtdEnableId" value="'. trim($strId,',').'"/>';
?>
<script type="text/javascript">
  jQuery(document).ready(function(){
    var getEnableId = jQuery('#wtdEnableId').val().split(',');
    var getCustomPage = '<?php echo WTD_URL;?>/includes/tshirt-designer-design-template.php';
    
    jQuery('input[type="hidden"][name="wtdbutton"]').each(function(){
      for( var i=0;i<getEnableId.length;i++ ){
        if( getEnableId[i] == jQuery(this).val() ){
          var text = jQuery('#customize_text').val();
          jQuery(this).next('.add_to_cart_button').after('<div id="wtdCustomizButton"><a href="'+ jQuery(this).data('url') +'">'+ text +'</a></div>');
          break;
        }
      } 
    });
  });
</script>
<?php

  echo '<input type="hidden" name="customize_text" id="customize_text" value="'. __('Customize', 'wctd') .'"/>';
  }
  
  if(is_cart()){
?>
<style type="text/css">
  .wct_custom_design_style
  {
    background: none repeat scroll 0 0 #0099FF;
    color: #FFFFFF !important;
    display: block;
    font-size: 10px !important;
    margin-bottom: 10px;
    height: 20px !important;
    margin-left:-25px;
    text-align: center;
    text-decoration: none;
    width:90px !important;
    font-weight: bold;
 }
 .wct_product_custom_image a:hover{
   color: #FFFFFF !important;
   text-decoration: none !important;
 }
 
.wct_edit_link
{
    padding-right:10px;
    color: #0099FF !important;
}
#toTDisplayCustomImage{
    background: none repeat scroll 0 0 #F1F1F1;
    border:3px solid #ccc !important;
    display: none;
    left: 50% !important;
    margin-left: -300px !important;
    margin-top: -275px !important;
    position: fixed !important;
    top:50% !important;
    width: 600px !important;
    z-index: 999999 !important;
    height:550px !important;
}
#wct_custom_img_content img
{
    height:200px;
}
#wct_custom_img_content div
{
    margin:20px 0px;
}
.loader img
{
    position:absolute;
    top:50%;
    left: 50%;
}
.loader
{
    display:none;
}
.img_control a
{
  display:inline-block;
  text-decoration: none;
  color:#0099FF; 
}
.img_control
{
    text-align: center;
    display:none;
}
.second
{
    display:none;
}
</style>
<div id="toTDisplayCustomImage">
  <div style="float: left; color:#0099FF;font-size:15px;font-weight:bold;height: 20px;text-align: center;width:95%; margin-top: 10px;"><?php echo _e('Custom Design', 'wctd');?></div>
  <div style="float: left; margin-top:3px; font-size:22px; cursor:pointer;" onclick="close_dialog();">x</div>
  <div style="clear:both;"></div>
  <div class="loader"><img src="<?php echo WTD_URL;?>/images/ajax-loader.gif"/></div>
  <div id="wct_custom_img_content"><div class="first" align="middle"><object id="first_1" type="image/svg+xml"></object></div><div class="second" align="middle"><object id="second_1" type="image/svg+xml"></object></div></div>
  <div class="img_control"><a id="previous" href="javascript:void(0);"><?php echo _e('Previous', 'wctd');?></a>&nbsp;|&nbsp;<a id="next" href="javascript:void(0);"><?php echo _e('Next', 'wctd');?></a></div>
</div>
<div class="wtd_overlay"></div>
<input type="hidden" name="hf_upload_url" id="hf_upload_url" value="<?php echo $dir['baseurl'];?>"/>
<input type="hidden" name="admin-ajax" id="admin-ajax" value="<?php echo admin_url( 'admin-ajax.php' ); ?>"/>

<script type="text/javascript">
jQuery(document).ready(function(){  
  jQuery('.img_control a').click(function(){
    if(jQuery(this).attr('id') == 'previous'){
      jQuery('.first').show();
      jQuery('.second').hide();
    }
    else if(jQuery(this).attr('id') == 'next'){
      jQuery('.second').show();
      jQuery('.first').hide();
    }
  });
  
  if(jQuery('.wct_product_custom_image').length>0){
    jQuery('.wct_product_custom_image').on('click', function(e){
      e.preventDefault();
      wcd_custom_image_display(jQuery(this).attr('id'));
    });
  }
});

function wcd_custom_image_display( uid ){
  jQuery('.wtd_overlay').show();
  jQuery("#toTDisplayCustomImage").show();
  jQuery('.loader').show();
  
  jQuery.ajax ({
               type:"POST",
               url:jQuery('#admin-ajax').val(),
               data: {action:'get_custom_image', uid:uid},
               success: function( data ){
                 if(data){
                   var parseData =  data.split(',');
                   jQuery('.loader').hide();
                   
                   if(parseData[0]){
                     jQuery("#first_1").attr('data', "<?php echo WTD_URL;?>/svg-output/" + uid + '/' +parseData[0] + '/' + parseData[0] + '.svg');
                   }
                   
                   if(parseData[1]){
                     jQuery("#second_1").attr('data', "<?php echo WTD_URL;?>/svg-output/" + uid + '/' +parseData[1] + '/' + parseData[1] + '.svg');
                   }
                   
                   if(parseData.length == 2){
                     jQuery('.img_control').show();
                   }
                 }
               },
               error: function(){}
  });
}

function close_dialog(){
  jQuery('.wtd_overlay').hide();  
  jQuery("#toTDisplayCustomImage").hide();
  
  if(jQuery("#first_1").attr('data')){
    jQuery("#first_1").removeAttr('data');
  }
  
  if(jQuery("#second_1").attr('data')){
    jQuery("#second_1").removeAttr('data');
  }
}
</script>
<?php
  }
}

function wtd_button_view_on_details_page(){
  if( is_product() ){
    global $product;
    $id = $product->post->ID;
    $hasCustomization = get_post_meta( $id, '_wtd_custom_design_checkbox', true );
    $get_product_url = get_permalink( $id );
    
    $new_url = add_query_arg( array(
	  'type' => 'sc_wtd_customize_product',
	  'wtd_id' => $id
    ), $get_product_url );
    
    if($hasCustomization == 'on'){
      echo '<div id="wtdCustomizButtonDetailsPage"><a href="'. $new_url .'">'. __('Customize', 'wctd') .'</a></div>';
    }
  }
}

function get_custom_image(){
  if(isset($_REQUEST['uid'])){
    $dirs_name = '';
    if( file_exists(WTD_DIR_PATH. "svg-output/".$_REQUEST['uid']) ){
      $directories = glob(WTD_DIR_PATH. "svg-output/".$_REQUEST['uid'].'/*', GLOB_ONLYDIR);
      foreach ($directories as $dir_name){
        $dirs_name .= str_replace( WTD_DIR_PATH. "svg-output/".$_REQUEST['uid'].'/', '', $dir_name ).',';
      }
    }
    echo trim($dirs_name, ',');
  }
  exit;
}

add_action( 'wp_ajax_nopriv_get_custom_image','get_custom_image' );
add_action( 'wp_ajax_get_custom_image', 'get_custom_image' );
?>