<?php
function wtd_get_upload_dir(){
  $upload_dir = wp_upload_dir();
  return $upload_dir;
}
function wtd_settings_data(){
  $save_settings = array(
                        'help_text' =>                    '<div><span style="font-weight: bold;">Choose Product - </span>Use this button to change to a different product, or to switch to a different product altogether.</div><br><div><span style="font-weight: bold;">Add Text - </span>Use this button to type text, choose a font, alter text shape and size, rotate text, curved text, and change text color.</div><br><div><span style="font-weight: bold;">Add Art - </span>Use this button to browse gallery or upload your own artwork.</div><br><div><span style="font-weight: bold;">Buy - </span>Use this button to purchase your order online.</div><br><div><span style="font-weight: bold;">Preview - </span>This button to show your design in more details.</div><br><div><span style="font-weight: bold;">Front - </span>This button to show your front side design with details.</div><br><div><span style="font-weight: bold;">Back - </span>This button to show your back side design with details.</div>',
                        'cost_text' =>                   'Total customization cost is: ',
                        'bg_color_start' =>              '222222',
                        'bg_color_end' =>                '222222',
                        'content_color_start' =>         'F1F1F1',
                        'content_color_end' =>           'F1F1F1',
                        'menu_default_color' =>          '222222',
                        'menu_default_text_color' =>     'F1F1F1',
                        'menu_selected_color' =>         'F1F1F1',
                        'menu_selected_text_color' =>    '222222',
                        'menu_border_color' =>           'F1F1F1',
                        'product_selected_color' =>      'CCCCCC',
                        'content_text_color' =>          '222222',
                        'content_text_border_color' =>   '222222',
                        'content_font_family' =>         'arial',
                        'btn_bg_color_start' =>          '222222',
                        'btn_bg_color_end' =>            '222222',
                        'btn_border_color' =>            '222222',
                        'btn_border_radius' =>           0,
                        'btn_font_size' =>               10,
                        'btn_font_family' =>             'arial',
                        'btn_padding_top' =>             5,
                        'btn_padding_bottom' =>          5,
                        'btn_padding_left' =>            5,
                        'btn_padding_right' =>           5,
                        'btn_text_color' =>              'F1F1F1',
                        'btn_bg_color_start_hover' =>    '222222',
                        'btn_bg_color_end_hover' =>      '222222',
                        'btn_border_color_hover' =>      '222222',
                        'btn_text_color_hover' =>        'F1F1F1',
                        
  );
  if ( get_option( 'wtd_settings_data' ) === false ) {
    add_option( 'wtd_settings_data', $save_settings );
  }
}
function wtd_plugin_table_install(){
  global $wpdb;
  $table_arts = $wpdb->prefix."wtd_art_list";
  $sql_art_list = "CREATE TABLE IF NOT EXISTS $table_arts(
                                                          id int(11) NOT NULL auto_increment,                                                                 
                                                          art_url longtext,
                                                          PRIMARY KEY  (id)
  );";
  $wpdb->query( $sql_art_list );
}
function wtd_plugin_install(){
  wtd_plugin_table_install();
  wtd_settings_data();
}
function wtd_plugin_uninstall(){
  delete_option('wtd_settings_data');
}
function wtd_designer_admin_page(){
  add_object_page(__('General Settings', 'wctd'), __('WTD-Settings', 'wctd'), 'edit_themes', 'wtd_designer_settings_slug', 'wtd_designer_settings_main',WTD_URL.'/images/admin-icon.png');
  add_submenu_page('wtd_designer_settings_slug', __('Art List', 'wctd'), __('Art List', 'wctd'), 'edit_themes','wtd_designer_art_list_slug','wtd_designer_art_list_main');
}
  add_action('admin_menu', 'wtd_designer_admin_page');
?>