jQuery(document).ready(function()
{
  var canvasObj, curved;
  var prev_canvobj = 0;
  var canvDataobj = {};
  var cartItemobj = {};
  var logoObj = {};
  var ary = [];
  var svgObj = {};
	
	if(jQuery('ul.wc-item-meta').length>0){
		jQuery('ul.wc-item-meta li').each(function(){
			if(jQuery(this).find('.wc-item-meta-label').html() == 'design_id:' || jQuery(this).find('.wc-item-meta-label').html() == 'total_price:' || jQuery(this).find('.wc-item-meta-label').html() == 'design_logo:' || jQuery(this).find('.wc-item-meta-label').html() == 'custom_design:'){
				jQuery(this).css('display', 'none');
			}
		});
	}
  
  canvasObj= new fabric.Canvas('wtd_background_image');
  
  canvasObj.on( 'selection:cleared', wtd_clearPanel );
  canvasObj.on( 'object:selected', wtd_viewObject );
  
  if ( jQuery('.wtd_item_front').length >0 )
  {
    prev_canvobj = jQuery('.wtd_item_front').data('id');
  }
  
  if(jQuery('#wtd_admin').length>0)
  {
    if(jQuery('div').hasClass('woocommerce_order_items_wrapper'))
    {
      if(jQuery('table').hasClass('woocommerce_order_items'))
      {
        jQuery('.name').each(function()
        {
          if(jQuery(this).find('div.view').length>0)
          {
            jQuery(this).find('table.display_meta').each(function()
            {
              var customopt =jQuery(this).find('td p').html();
              if( customopt == 'custom' )
              {
                jQuery(this).parent().parent().append( '<div class="wtdcustomdata"></div>' );
              }
            });
          }
        });
      }
    }
    if(jQuery('.wtdcustomdata').length>0)
    {
      var queryData = {};
      jQuery('.wtdcustomdata').click(function()
      {
        queryData.id = jQuery(this).parents('.item').data('order_item_id');
        queryData.logoKey = 'design_logo';
        queryData.designKey = 'custom_design';
        
        jQuery.ajax ({
          type:"POST",
          dataType: "HTML",
          url:jQuery('#wtd_admin').val() + "/includes/tshirt-designer-ajax.php",
          data: {type:'wtd_get_order_item',wtd_order_item_query:queryData},
          success: function( data )
          {
            if( data )
            {
              jQuery('.wtd_overlay').fadeIn();
              jQuery('.wtd_admin_custom_design_main_div').fadeIn();
              jQuery('.wtd_admin_custom_design_image_content').html( data );
              jQuery(".wtd_admin_custom_design_image_content").find("script").each(function() 
              {
                eval(jQuery(this).text());
              });
            }
          },
          error: function(){}
        });
      });
    }
    if(jQuery('.wtd_admin_custom_design_close_icon').length>0)
    {
      jQuery('.wtd_admin_custom_design_close_icon').click(function()
      {
        jQuery('.wtd_admin_custom_design_main_div').fadeOut();
        jQuery('.wtd_overlay').fadeOut();
      });
    }
    
  }
  
  //get products variations
  if( jQuery('#productID').length >0 )
  {
    var getPId = jQuery('#productID').val();
    wtd_variations_ajax( getPId );
  }
     
  if( jQuery( '#wtd_back_side_image_uploader' ).length >0 )
  {
    var custom_uploader;
    jQuery( '#wtd_back_side_image_uploader' ).click(function() 
    {
      custom_uploader = wp.media.frames.file_frame = wp.media({
          title: 'Choose Image',
          button: {
              text: 'Add Image'
          },
          multiple: false
      });
      custom_uploader.on('select', function() 
      {
        var attachment = custom_uploader.state().get('selection').first().toJSON();
        if(attachment.url)
        {
          jQuery('#wtd_back_side_image_url').val(attachment.url);
        }
      });
      custom_uploader.open();
    });
  }
  
  if( jQuery('.wtd_products_list').length >0 )
  {
    jQuery('.wtd_products_list').css("background-color","#" + jQuery('#wtd_menu_selected_color').val());
    jQuery('.wtd_products_list').css("border-top","2px solid #" + jQuery('#wtd_menu_default_color').val());
    jQuery('.wtd_products_list').css("border-left","2px solid #" + jQuery('#wtd_menu_default_color').val());
    jQuery('.wtd_products_list').find('.wtd_products_list_icon').removeClass('wtd_products_list_icon').addClass('wtd_products_list_icon_hover');
    jQuery('.wtd_top_panel_control_text_product').css("color","#" + jQuery('#wtd_menu_selected_text_color').val());
    jQuery('.wtd_products_list').addClass('wtd_selected_tab');
    jQuery('.wtd_products_list').find('.wtd_control_panel_border').css("border-right","none");
  }
  
  if( jQuery('.wtd_products_list').length >0 )
  {
    jQuery('.wtd_products_list').click(function()
    {
      var getSelectedTab = jQuery('.wtd_design_panel_main').find('.wtd_selected_tab').attr('id');
      jQuery( '#' + getSelectedTab ).removeClass ( 'wtd_selected_tab' );
      jQuery( this ).addClass('wtd_selected_tab');
      if( getSelectedTab === 'wtd_add_new_text' )
      {
        wtd_add_text_tab();
      }
      else if( getSelectedTab === 'wtd_add_new_art' )
      {
        wtd_add_art_tab();
      }
      else if( getSelectedTab === 'wtd_add_name_number' )
      {
        wtd_add_name_tab();
      }
      else if( getSelectedTab === 'wtd_add_to_cart' )
      {
        wtd_add_to_cart_tab();
      }
      
      jQuery( this ).css("background-color","#" + jQuery('#wtd_menu_selected_color').val());
      jQuery( this ).css("border-top","2px solid #" + jQuery('#wtd_menu_default_color').val());
      jQuery( this ).css("border-left","2px solid #" + jQuery('#wtd_menu_default_color').val());
      jQuery( this ).find('.wtd_control_panel_border').css("border-right","none");
      jQuery( this ).find('.wtd_products_list_icon').removeClass('wtd_products_list_icon').addClass('wtd_products_list_icon_hover');
      jQuery('.wtd_top_panel_control_text_product').css("color","#" + jQuery('#wtd_menu_selected_text_color').val());
      
      jQuery('.wtd_add_new_text_panel').hide();
      jQuery('.wtd_add_art_panel').hide();
      jQuery('.wtd_help').hide();
      jQuery('.wtd_add_to_cart_panel').hide(); 
      jQuery('.wtd_product_list_in_content').show();
      
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj )
      {
        canvasObj.deactivateAll();
        canvasObj.renderAll();
      }
    });
  }
  
  if( jQuery('.wtd_add_new_text').length >0 )
  {
    jQuery('.wtd_add_new_text').click(function()
    {
      var getSelectedTab = jQuery('.wtd_design_panel_main').find('.wtd_selected_tab').attr('id');
      jQuery( '#' + getSelectedTab ).removeClass ( 'wtd_selected_tab' );
      jQuery( this ).addClass('wtd_selected_tab');
      if( getSelectedTab === 'wtd_products_list' )
      {
        wtd_product_list_tab();
      }
      else if( getSelectedTab === 'wtd_add_new_art' )
      {
        wtd_add_art_tab();
      }
      else if( getSelectedTab === 'wtd_add_name_number' )
      {
        wtd_add_name_tab();
      }
      else if( getSelectedTab === 'wtd_add_to_cart' )
      {
        wtd_add_to_cart_tab();
      }
      
      jQuery( this ).css("background-color","#" + jQuery('#wtd_menu_selected_color').val());
      jQuery( this ).css("border-top","2px solid #" + jQuery('#wtd_menu_default_color').val());
      jQuery('.wtd_products_list').find('.wtd_control_panel_border').css("border-right","2px solid #" + jQuery('#wtd_menu_border_color').val());
      jQuery( this ).find('.wtd_add_new_text_icon').removeClass('wtd_add_new_text_icon').addClass('wtd_add_new_text_icon_hover');
      jQuery('.wtd_top_panel_control_add_text').css("color","#" + jQuery('#wtd_menu_selected_text_color').val());
      
      jQuery('.wtd_product_list_in_content').hide();
      jQuery('.wtd_add_art_panel').hide();
      jQuery('.wtd_help').hide();
      jQuery('.wtd_add_to_cart_panel').hide(); 
      jQuery('.wtd_add_new_text_panel').show();
      
      wtd_clearPanel();
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj )
      {
        canvasObj.deactivateAll();
        canvasObj.renderAll();
      }
    });
  }
  
  if( jQuery('.wtd_add_new_art').length >0 )
  {
    jQuery('.wtd_add_new_art').click(function()
    {
      var getSelectedTab = jQuery('.wtd_design_panel_main').find('.wtd_selected_tab').attr('id');
      jQuery( '#' + getSelectedTab ).removeClass ( 'wtd_selected_tab' );
      jQuery( this ).addClass('wtd_selected_tab');
      if( getSelectedTab === 'wtd_products_list' )
      {
        wtd_product_list_tab();
      }
      else if( getSelectedTab === 'wtd_add_new_text' )
      {
        wtd_add_text_tab();
      }
      else if( getSelectedTab === 'wtd_add_name_number' )
      {
        wtd_add_name_tab();
      }
      else if( getSelectedTab === 'wtd_add_to_cart' )
      {
        wtd_add_to_cart_tab();
      }
      
      jQuery( this ).css("background-color","#" + jQuery('#wtd_menu_selected_color').val());
      jQuery( this ).css("border-top","2px solid #" + jQuery('#wtd_menu_default_color').val());
      jQuery('.wtd_products_list').find('.wtd_control_panel_border').css("border-right","2px solid #" + jQuery('#wtd_menu_border_color').val());
      jQuery( this ).find('.wtd_add_new_art_icon').removeClass('wtd_add_new_art_icon').addClass('wtd_add_new_art_icon_hover');
      jQuery('.wtd_top_panel_control_add_art_text').css("color","#" + jQuery('#wtd_menu_selected_text_color').val());
      
      jQuery('.wtd_product_list_in_content').hide();
      jQuery('.wtd_add_new_text_panel').hide();
      jQuery('.wtd_help').hide();
      jQuery('.wtd_add_to_cart_panel').hide(); 
      jQuery('.wtd_add_art_panel').show();
      
      wtd_clearPanel();
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj )
      {
        canvasObj.deactivateAll();
        canvasObj.renderAll();
      }
    });
  }
  
  if( jQuery('.wtd_add_name_number').length >0 )
  {
    jQuery('.wtd_add_name_number').click(function()
    {
      var getSelectedTab = jQuery('.wtd_design_panel_main').find('.wtd_selected_tab').attr('id');
      jQuery( '#' + getSelectedTab ).removeClass ( 'wtd_selected_tab' );
      jQuery( this ).addClass('wtd_selected_tab');
      if( getSelectedTab === 'wtd_products_list' )
      {
        wtd_product_list_tab();
      }
      else if( getSelectedTab === 'wtd_add_new_text' )
      {
        wtd_add_text_tab();
      }
      else if( getSelectedTab === 'wtd_add_new_art' )
      {
        wtd_add_art_tab();
      }
      else if( getSelectedTab === 'wtd_add_to_cart' )
      {
        wtd_add_to_cart_tab();
      }
      
      jQuery( this ).css("background-color","#" + jQuery('#wtd_menu_selected_color').val());
      jQuery( this ).css("border-top","2px solid #" + jQuery('#wtd_menu_default_color').val());
      jQuery( this ).css("border-right","0px solid #" + jQuery('#wtd_menu_default_color').val());
      jQuery('.wtd_products_list').find('.wtd_control_panel_border').css("border-right","2px solid #" + jQuery('#wtd_menu_border_color').val());
      jQuery( this ).find('.wtd_add_name_number_icon').removeClass('wtd_add_name_number_icon').addClass('wtd_add_name_number_icon_hover');
      jQuery('.wtd_top_panel_control_add_name_text').css("color","#" + jQuery('#wtd_menu_selected_text_color').val());
      
      jQuery('.wtd_product_list_in_content').hide();
      jQuery('.wtd_add_new_text_panel').hide();
      jQuery('.wtd_add_art_panel').hide();
      jQuery('.wtd_add_to_cart_panel').hide(); 
      jQuery('.wtd_help').show();
      
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj )
      {
        canvasObj.deactivateAll();
        canvasObj.renderAll();
      }
    });
  }
  
  if( jQuery('.wtd_add_to_cart').length >0 )
  {
    jQuery('.wtd_add_to_cart').click(function()
    {
      var getSelectedTab = jQuery('.wtd_design_panel_main').find('.wtd_selected_tab').attr('id');
      jQuery( '#' + getSelectedTab ).removeClass ( 'wtd_selected_tab' );
      jQuery( this ).addClass('wtd_selected_tab');
      if( getSelectedTab === 'wtd_products_list' )
      {
        wtd_product_list_tab();
      }
      else if( getSelectedTab === 'wtd_add_new_text' )
      {
        wtd_add_text_tab();
      }
      else if( getSelectedTab === 'wtd_add_new_art' )
      {
        wtd_add_art_tab();
      }
      else if( getSelectedTab === 'wtd_add_name_number' )
      {
        wtd_add_name_tab();
      }
      
      jQuery( this ).css("background-color","#" + jQuery('#wtd_menu_selected_color').val());
      jQuery('.wtd_products_list').find('.wtd_control_panel_border').css("border-right","2px solid #" + jQuery('#wtd_menu_border_color').val());
      jQuery( this ).find('.wtd_add_to_cart_icon').removeClass('wtd_add_to_cart_icon').addClass('wtd_add_to_cart_icon_hover');
      jQuery('.wtd_bottom_panel_control_add_to_cart').css("color","#" + jQuery('#wtd_menu_selected_text_color').val());
      
      jQuery('.wtd_product_list_in_content').hide();
      jQuery('.wtd_add_new_text_panel').hide();
      jQuery('.wtd_add_art_panel').hide();
      jQuery('.wtd_help').hide();
      jQuery('.wtd_add_to_cart_panel').show();
      
      wtd_clearPanel();
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj )
      {
        canvasObj.deactivateAll();
        canvasObj.renderAll();
      }
    });
  }
  
  function wtd_product_list_tab()
  {
    jQuery('.wtd_products_list').css("background-color","#" + jQuery('#wtd_menu_default_color').val());
    jQuery('.wtd_products_list').css("border-top","none");
    jQuery('.wtd_products_list').css("border-left","none");
    if( jQuery('.wtd_products_list').find('.wtd_products_list_icon_hover').length >0 )
    {
      jQuery('.wtd_products_list').find('.wtd_products_list_icon_hover').removeClass('wtd_products_list_icon_hover').addClass('wtd_products_list_icon');
    }
    jQuery('.wtd_top_panel_control_text_product').css("color","#" + jQuery('#wtd_menu_default_text_color').val());
  }
  
  function wtd_add_text_tab()
  {
    jQuery('.wtd_add_new_text').css("background-color","#" + jQuery('#wtd_menu_default_color').val());
    jQuery('.wtd_add_new_text').css("border-top","none");
    if( jQuery('.wtd_add_new_text').find('.wtd_add_new_text_icon_hover').length >0 )
    {
      jQuery('.wtd_add_new_text').find('.wtd_add_new_text_icon_hover').removeClass('wtd_add_new_text_icon_hover').addClass('wtd_add_new_text_icon');
    }
    jQuery('.wtd_top_panel_control_add_text').css("color","#" + jQuery('#wtd_menu_default_text_color').val());
  }
  
  function wtd_add_art_tab()
  {
    jQuery('.wtd_add_new_art').css("background-color","#" + jQuery('#wtd_menu_default_color').val());
    jQuery('.wtd_add_new_art').css("border-top","none");
    if( jQuery('.wtd_add_new_art').find('.wtd_add_new_art_icon_hover').length >0 )
    {
      jQuery('.wtd_add_new_art').find('.wtd_add_new_art_icon_hover').removeClass('wtd_add_new_art_icon_hover').addClass('wtd_add_new_art_icon');
    }
    jQuery('.wtd_top_panel_control_add_art_text').css("color","#" + jQuery('#wtd_menu_default_text_color').val());
  }
  
  function wtd_add_name_tab()
  {
    jQuery('.wtd_add_name_number').css("background-color","#" + jQuery('#wtd_menu_default_color').val());
    jQuery('.wtd_add_name_number').css("border-top","none");
    jQuery('.wtd_add_name_number').css("border-right","none");
 
    if( jQuery('.wtd_add_name_number').find('.wtd_add_name_number_icon_hover').length >0 )
    {
      jQuery('.wtd_add_name_number').find('.wtd_add_name_number_icon_hover').removeClass('wtd_add_name_number_icon_hover').addClass('wtd_add_name_number_icon');
    }
    jQuery('.wtd_top_panel_control_add_name_text').css("color","#" + jQuery('#wtd_menu_default_text_color').val());
  }
  
  function wtd_add_to_cart_tab()
  {
    jQuery('.wtd_add_to_cart').css("background-color","#" + jQuery('#wtd_menu_selected_text_color_bottom').val());
    jQuery('.wtd_add_to_cart').css("border-left","none");
    if( jQuery('.wtd_add_to_cart').find('.wtd_add_to_cart_icon_hover').length >0 )
    {
      jQuery('.wtd_add_to_cart').find('.wtd_add_to_cart_icon_hover').removeClass('wtd_add_to_cart_icon_hover').addClass('wtd_add_to_cart_icon');
    }
    jQuery('.wtd_bottom_panel_control_add_to_cart').css("color","#" + jQuery('#wtd_menu_default_text_color').val());
  }
  
  if( jQuery('.wtd_product_image').length >0 )
  {
    jQuery('.wtd_product_image').click(function()
    {
      canvDataobj = {};
      canvasObj.clear();
      canvasObj.renderAll();
      prev_canvobj = jQuery('.wtd_item_front').data('id');
      if( ary.length>0 )
      {
        ary.length =0;
      }
      jQuery('.wtd_product_list_in_content').find('.wtd_selected_product').removeClass('wtd_selected_product');
      jQuery( this ).addClass('wtd_selected_product');
      wtd_load_bg_image( jQuery( this ).find('img').attr('src') );
      if( jQuery( this ).find('img').attr('src') )
      {
        jQuery('.wtd_item_front').attr('img-url', jQuery( this ).find('img').attr('src') );
      }
      else
      {
        jQuery('.wtd_item_front').attr('img-url','');
      }
      if( jQuery( this ).attr('back-img-url') )
      {
        jQuery('.wtd_item_back').attr('img-url', jQuery( this ).attr('back-img-url') );
      }
      else
      {
        jQuery('.wtd_item_back').attr('img-url', '');
      }
      
      wtd_variations_ajax( jQuery( this ).find('img').attr('product-id') );
      jQuery('#productID').val( jQuery( this ).find('img').attr('product-id') );
      
    });
  }
  
  if( jQuery('#wtd_background_image').length >0)
  {
    wtd_load_bg_image( jQuery('#firstLoadData').attr('fon-img') );
  }
  
  if( jQuery('#wtd_text_next_step').length >0 )
  {
    jQuery('#wtd_text_next_step').click(function(event)
    {
      event.preventDefault();
      var txtObj = {};
      txtObj.selectedTextPath =     jQuery(".wtd_text_path input[type='radio']:checked").val();
      txtObj.txtstr =               jQuery('#wtd_new_text').val();
      wtd_before_text_add(txtObj);
    });
  }
  
  if( jQuery('.wtd_no_text_msg_close_icon').length >0 )
  {
    jQuery('.wtd_no_text_msg_close_icon').click(function()
    {
      jQuery('.wtd_no_text_msg').fadeOut();
      jQuery('.wtd_overlay').fadeOut();
    });
  }
  
  if( jQuery('#wtd_change_font_name').length >0 )
  {
    jQuery('#wtd_change_font_name').change(function()
    {
      var getFontName = jQuery( '#' + jQuery( this ).attr('id') + ' option:selected' ).val();
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'normal' )
      {
        getActiveObj.setFontFamily( getFontName );
        canvasObj.renderAll();
      }
      else if( getActiveObj && getActiveObj.name === 'arc' )
      {
        curved.set( 'fontFamily', getFontName, getActiveObj );
      }
    });
  }
  
  if( jQuery('#wtd_change_color').length >0 )
  {
    jQuery('#wtd_change_color').change(function()
    {
      var getColor = '#' + jQuery( this ).val();
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'normal' )
      {
        getActiveObj.setFill( getColor );
        canvasObj.renderAll();
      }
      else if( getActiveObj && getActiveObj.name === 'arc' )
      {
        curved.set( 'fontColor', getColor, getActiveObj );
      }
    });
  }
  
  if( jQuery('#wtd_change_size').length >0 )
  {
    jQuery('#wtd_change_size').change(function()
    {
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'normal' )
      {
        getActiveObj.setFontSize( jQuery( this ).val() );
      }
      canvasObj.renderAll();
    });
  }
  
  if( jQuery('.wtd_text_align_left').length >0 )
  {
    jQuery('.wtd_text_align_left').click(function()
    {
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'normal' )
      {
        getActiveObj.setTextAlign( 'left' );
        jQuery('.wtd_text_align_center_div').css('background','none');
        jQuery('.wtd_text_align_right_div').css('background','none');
        jQuery('.wtd_text_align_left_div').css('background','#CCCCCC');
      }
      canvasObj.renderAll();
    });
  }
  
  if( jQuery('.wtd_text_align_center').length >0 )
  {
    jQuery('.wtd_text_align_center').click(function()
    {
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'normal' )
      {
        getActiveObj.setTextAlign( 'center' );
        jQuery('.wtd_text_align_right_div').css('background','none');
        jQuery('.wtd_text_align_left_div').css('background','none');
        jQuery('.wtd_text_align_center_div').css('background','#CCCCCC');
      }
      canvasObj.renderAll();
    });
  }
  
  if( jQuery('.wtd_text_align_right').length >0 )
  {
    jQuery('.wtd_text_align_right').click(function()
    {
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'normal' )
      {
        getActiveObj.setTextAlign( 'right' );
        jQuery('.wtd_text_align_right_div').css('background','#CCCCCC');
        jQuery('.wtd_text_align_left_div').css('background','none');
        jQuery('.wtd_text_align_center_div').css('background','none');
      }
      canvasObj.renderAll();
    });
  }
  
  if( jQuery('.wtd_text_style_bold').length >0 )
  {
    jQuery('.wtd_text_style_bold').click(function()
    {
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'normal' )
      {
        if( getActiveObj.getFontWeight() === 'normal' || getActiveObj.getFontWeight() === 'italic' )
        {
          getActiveObj.setFontWeight( 'bold' );
          jQuery('.wtd_text_style_italic_div').css('background','none');
          jQuery('.wtd_text_style_bold_div').css('background','#CCCCCC');
        }
        else
        {
          getActiveObj.setFontWeight( 'normal' );
          jQuery('.wtd_text_style_italic_div').css('background','none');
          jQuery('.wtd_text_style_bold_div').css('background','none');
        }
      }
      canvasObj.renderAll();
    });
  }
  
  if( jQuery('.wtd_text_style_italic').length >0 )
  {
    jQuery('.wtd_text_style_italic').click(function()
    {
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'normal' )
      {
        if( getActiveObj.getFontWeight() === 'normal' || getActiveObj.getFontWeight() === 'bold' )
        {
          getActiveObj.setFontWeight( 'italic' );
          jQuery('.wtd_text_style_italic_div').css('background','#CCCCCC');
          jQuery('.wtd_text_style_bold_div').css('background','none');
        }
        else
        {
          getActiveObj.setFontWeight( 'normal' );
          jQuery('.wtd_text_style_italic_div').css('background','none');
          jQuery('.wtd_text_style_bold_div').css('background','none');
        }
      }
      canvasObj.renderAll();
    });
  }
  
  if( jQuery('#wtd_text_update_step').length >0 )
  {
    jQuery('#wtd_text_update_step').click(function(event)
    {
      event.preventDefault();
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'normal' )
      {
        getActiveObj.setText( jQuery('#wtd_new_text').val() );
        canvasObj.renderAll();
      }
      else if( getActiveObj && getActiveObj.name === 'arc' )
      {
        curved.setObj( getActiveObj );
        curved.setText( jQuery('#wtd_new_text').val() );
      }
    });
  }
  
  if( jQuery('#wtd_text_delete_step').length >0 )
  {
    jQuery('#wtd_text_delete_step').click(function(event)
    {
      event.preventDefault();
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj )
      {
        canvasObj.remove( getActiveObj );
        canvasObj.renderAll();
        wtd_clearPanel();
      }
    });
  }
  
  if( jQuery('#wtd_new_text_step').length >0 )
  {
    jQuery('#wtd_new_text_step').click(function(event)
    {
      event.preventDefault();
      wtd_clearPanel();
      canvasObj.deactivateAll();
      canvasObj.renderAll();
    });
  }
  
  if( jQuery('.radius').length >0 && jQuery('.spacing').length >0)
  {
    jQuery('.radius, .spacing').change(function()
    {
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'arc' )
      {
        curved.set( jQuery(this).attr('class'), jQuery(this).val(), getActiveObj ); 
      }   
    });
  }
  
  if( jQuery('.reverse').length >0)
  {
    jQuery('.reverse').change(function()
    {
      var getActiveObj =canvasObj.getActiveObject();
      if( getActiveObj && getActiveObj.name === 'arc' )
      {
        curved.set( 'reverse', ( jQuery(this).val() == 'true' ), getActiveObj );    
      }
    });
  }
    
  function wtd_before_text_add(obj)
  {
    if( obj.txtstr )
    {
      if( obj.selectedTextPath === 'normal_text' )
      {
        wtd_create_normal_text_obj( obj.txtstr );
      }
      else if( obj.selectedTextPath === 'curved_text' )
      {
        wtd_create_curved_text_obj( obj.txtstr );
      }
    }
    else
    {
      jQuery('.wtd_overlay').fadeIn();
      jQuery('.wtd_no_text_msg').fadeIn();
      jQuery('.wtd_no_text_msg').find('.wtd_no_text_title').html(jQuery('#wtd_add_text_error').val());
      jQuery('.wtd_no_text_msg').find('.wtd_no_text_msg_content').html(jQuery('#wtd_add_text_error_msg').val());
    }
  }
  
  function wtd_create_normal_text_obj(str)
  {
    var strObj = new fabric.Text( str ,{
      fontSize:20,
      fill:'#3B5998',
      fontFamily:'arial',
      name:'normal',
      itemName:'text'
    });
    canvasObj.add( strObj );
    canvasObj.centerObject( strObj );
    canvasObj.setActiveObject( strObj );
    var getActiveObj =canvasObj.getActiveObject();
    if( getActiveObj && getActiveObj.name === 'normal' )
    {
      jQuery('.wtd_text_all_control').show();
      jQuery('.wtd_div_curved').hide();
      jQuery('.wtd_next_button').hide();
      jQuery('.wtd_update_delete_button').show();
    }
    canvasObj.renderAll();
  }
  
  function wtd_create_curved_text_obj( str )
  {
    var getFontName = 'arial';
    var getColor = '#3B5998';
    curved = new CurvedText( canvasObj, {spacing:jQuery('.spacing').val(),radius:jQuery('.radius').val(),text:str,reverse:false,angle:0,fontSize:16,fontFamily:getFontName,fontColor:getColor} );
    var getActiveObj =canvasObj.getActiveObject();
    if( getActiveObj && getActiveObj.name === 'arc' )
    {
      jQuery('.wtd_text_all_control').show();
      jQuery('.wtd_div_curved').show();
      jQuery('.wtd_next_button').hide();
      jQuery('.wtd_update_delete_button').show();
    }
  }
  
  function wtd_load_bg_image( img_url )
  {
    if( img_url )
    {
      var bg_img = new Image();
      bg_img.onload = function()
      {
        canvasObj.setBackgroundImage(bg_img.src, canvasObj.renderAll.bind(canvasObj), {
          originX: 'left',
          originY: 'top',
          left: 0,
          top: 0
        });
      };
      bg_img.src = img_url;
    }
  }
  
  function wtd_clearPanel()
  {
    var getSelectedTab = jQuery('.wtd_design_panel_main').find('.wtd_selected_tab').attr('id');
    
    if( getSelectedTab == 'wtd_add_new_text' )
    {
      if( jQuery("#check_curved_text").is(':disabled'))
      {
        jQuery('#check_curved_text').attr('disabled', false);
      }
      if( jQuery("#check_normal_text").is(':disabled'))
      {
        jQuery('#check_normal_text').attr('disabled', false);
      }
      if( jQuery("#check_curved_text").is(':checked'))
      {
        jQuery('#check_curved_text').attr('checked', false);
      }
      jQuery('#check_normal_text').attr('checked', true);
      jQuery('#wtd_new_text').val('');
      if( jQuery('.wtd_update_delete_button').css('display') == 'block' )
      {
        jQuery('.wtd_update_delete_button').hide();
      }
      if( jQuery('.wtd_text_all_control').css('display') == 'block' )
      {
        jQuery('.wtd_text_all_control').hide();
      }
      if( jQuery('.wtd_next_button').css('display') == 'none' )
      {
        jQuery('.wtd_next_button').show();
      }
    }
    else if( getSelectedTab == 'wtd_add_new_art' )
    {
      jQuery('.wtd_art_control_div').hide();
      jQuery('.wtd_upload_art_panel').show();
      jQuery('.wtd_admin_uploaded_art_panel').show();
    }
  }
  
  function wtd_viewObject()
  {
    var getActiveObj =canvasObj.getActiveObject();
    if( getActiveObj && getActiveObj.itemName === 'text' )
    {
      var getSelectedTab = jQuery('.wtd_design_panel_main').find('.wtd_selected_tab').attr('id');
      jQuery( '#' + getSelectedTab ).removeClass ( 'wtd_selected_tab' );
      jQuery( '.wtd_add_new_text' ).addClass('wtd_selected_tab');
      
      if( getSelectedTab === 'wtd_products_list' )
      {
        wtd_product_list_tab();
      }
      else if( getSelectedTab === 'wtd_add_new_art' )
      {
        wtd_add_art_tab();
      }
      else if( getSelectedTab === 'wtd_add_name_number' )
      {
        wtd_add_name_tab();
      }
      else if( getSelectedTab === 'wtd_add_to_cart' )
      {
        wtd_add_to_cart_tab();
      }
      
      jQuery( '.wtd_add_new_text' ).css("background-color","#" + jQuery('#wtd_menu_selected_color').val());
      jQuery( '.wtd_add_new_text' ).css("border-top","2px solid #" + jQuery('#wtd_menu_default_color').val());
      jQuery( '.wtd_add_new_text' ).find('.wtd_add_new_text_icon').removeClass('wtd_add_new_text_icon').addClass('wtd_add_new_text_icon_hover');
      jQuery( '.wtd_top_panel_control_add_text' ).css("color","#" + jQuery('#wtd_menu_selected_text_color').val());
      
      jQuery('.wtd_product_list_in_content').hide();
      jQuery('.wtd_add_art_panel').hide();
      jQuery('.wtd_help').hide();
      jQuery('.wtd_add_to_cart_panel').hide();
      jQuery('.wtd_add_new_text_panel').show();
            
      if( getActiveObj && getActiveObj.name === 'normal' )
      {
        jQuery('#check_normal_text').attr('checked', true);
        jQuery('#check_curved_text').attr('checked', false);
        jQuery('#check_curved_text').attr('disabled', true);
        
        jQuery('#wtd_new_text').val( getActiveObj.getText() );
        jQuery('.wtd_text_all_control').show();
        jQuery('.wtd_div_curved').hide();
        jQuery('.wtd_next_button').hide();
        jQuery('#wtd_change_font_name').val( getActiveObj.getFontFamily() ).attr('selected',true);
        jQuery('#wtd_change_color').val( getActiveObj.getFill().split('#')[1] );
        if( getActiveObj.getTextAlign() === 'left' )
        {
          jQuery('.wtd_text_align_center_div').css('background','none');
          jQuery('.wtd_text_align_right_div').css('background','none');
          jQuery('.wtd_text_align_left_div').css('background','#CCCCCC');
        }
        else if( getActiveObj.getTextAlign() === 'center' )
        {
          jQuery('.wtd_text_align_center_div').css('background','#CCCCCC');
          jQuery('.wtd_text_align_right_div').css('background','none');
          jQuery('.wtd_text_align_left_div').css('background','none');
        }
        else if( getActiveObj.getTextAlign() === 'right' )
        {
          jQuery('.wtd_text_align_center_div').css('background','none');
          jQuery('.wtd_text_align_right_div').css('background','#CCCCCC');
          jQuery('.wtd_text_align_left_div').css('background','none');
        }
        
        if( getActiveObj.getFontWeight() === 'bold' )
        {
          jQuery('.wtd_text_style_italic_div').css('background','none');
          jQuery('.wtd_text_style_bold_div').css('background','#CCCCCC');
        }
        else if( getActiveObj.getFontWeight() === 'italic' )
        {
          jQuery('.wtd_text_style_italic_div').css('background','#CCCCCC');
          jQuery('.wtd_text_style_bold_div').css('background','none');
        }
      }
      else if( getActiveObj && getActiveObj.name === 'arc' )
      {
        var str='';
        jQuery('#check_curved_text').attr('checked', true);
        jQuery('#check_normal_text').attr('checked', false);
        jQuery('#check_normal_text').attr('disabled', true);
        jQuery('.wtd_text_align_center_div').css('background','none');
        jQuery('.wtd_text_align_right_div').css('background','none');
        jQuery('.wtd_text_align_left_div').css('background','none');
        jQuery('.wtd_text_style_italic_div').css('background','none');
        jQuery('.wtd_text_style_bold_div').css('background','none');
        
        for ( var i=0; i<getActiveObj.size(); i++ ){
          str += getActiveObj.item(i).getText();
        }
        jQuery('#wtd_new_text').val( str );
        jQuery('.wtd_text_all_control').show();
        jQuery('.wtd_div_curved').show();
        jQuery('.wtd_next_button').hide();
        jQuery('#wtd_change_font_name').val( getActiveObj.item(0).getFontFamily() ).attr('selected',true);
        jQuery('#wtd_change_color').val( getActiveObj.item(0).getFill().split('#')[1] );
        jQuery('#wtd_change_radius').val( getActiveObj.radiusVal );
        jQuery('#wtd_change_spacing').val( getActiveObj.spacingVal );
        
        if( getActiveObj.textFliping === true )
        {
          jQuery('#flipBottom').attr('checked', false);
          jQuery('#flipTop').attr('checked', true);
        }
        else if( getActiveObj.textFliping === false )
        {
          jQuery('#flipBottom').attr('checked', true);
          jQuery('#flipTop').attr('checked', false);
        }
      }
      jQuery('.wtd_update_delete_button').show();
    }
    else if( getActiveObj && getActiveObj.itemName === 'art' )
    {
      var getSelectedTab = jQuery('.wtd_design_panel_main').find('.wtd_selected_tab').attr('id');
      jQuery( '#' + getSelectedTab ).removeClass ( 'wtd_selected_tab' );
      jQuery( '.wtd_add_new_art' ).addClass('wtd_selected_tab');
      
      if( getSelectedTab === 'wtd_products_list' )
      {
        wtd_product_list_tab();
      }
      else if( getSelectedTab === 'wtd_add_new_text' )
      {
        wtd_add_text_tab();
      }
      else if( getSelectedTab === 'wtd_add_name_number' )
      {
        wtd_add_name_tab();
      }
      else if( getSelectedTab === 'wtd_add_to_cart' )
      {
        wtd_add_to_cart_tab();
      }
      
      jQuery( '.wtd_add_new_art' ).css("background-color","#" + jQuery('#wtd_menu_selected_color').val());
      jQuery( '.wtd_add_new_art' ).css("border-top","2px solid #" + jQuery('#wtd_menu_default_color').val());
      jQuery( '.wtd_add_new_art' ).find('.wtd_add_new_art_icon').removeClass('wtd_add_new_art_icon').addClass('wtd_add_new_art_icon_hover');
      jQuery('.wtd_top_panel_control_add_art_text').css("color","#" + jQuery('#wtd_menu_selected_text_color').val());
      
      jQuery('.wtd_product_list_in_content').hide();
      jQuery('.wtd_help').hide();
      jQuery('.wtd_add_to_cart_panel').hide();
      jQuery('.wtd_add_new_text_panel').hide();
      jQuery('.wtd_add_art_panel').show();
      
      if( jQuery('.wtd_add_new_text_panel').css('display') == 'block' )
      {
        jQuery('.wtd_add_new_text_panel').hide();
        jQuery('.wtd_add_art_panel').show();
      }
      jQuery('.wtd_upload_art_panel').hide();
      jQuery('.wtd_admin_uploaded_art_panel').hide();
      jQuery('.wtd_art_control_div').show();
    }
  }
  
  jQuery('#wtd_new_text').keydown(function( event ) 
  {
    if( jQuery("#check_curved_text").is(':checked') )
    {
      if (event.keyCode == 13) 
      {
        jQuery('.wtd_overlay').fadeIn();
        jQuery('.wtd_no_text_msg').fadeIn();
        jQuery('.wtd_no_text_msg').find('.wtd_no_text_title').html(jQuery('#wtd_add_text_error').val());
        jQuery('.wtd_no_text_msg').find('.wtd_no_text_msg_content').html(jQuery('#wtd_add_curved_text_error_msg').val());
        jQuery('#wtd_new_text').val('');
      }
    }
  });
  
  jQuery('#check_curved_text').click(function()
  {
    if( jQuery('#wtd_new_text').val() )
    {
      var getNewLine = br2nl ( jQuery('#wtd_new_text').val() );
      var checkNewLine = getNewLine.indexOf('\n');
      if( checkNewLine != -1)
      {
        jQuery('.wtd_overlay').fadeIn();
        jQuery('.wtd_no_text_msg').fadeIn();
        jQuery('.wtd_no_text_msg').find('.wtd_no_text_title').html(jQuery('#wtd_add_text_error').val());
        jQuery('.wtd_no_text_msg').find('.wtd_no_text_msg_content').html(jQuery('#wtd_add_curved_text_error_msg').val());
        jQuery('#wtd_new_text').val('');
      }
    }
  });
  
  function br2nl( str ) 
  {
    return str.replace(/<br\s*\/?>/mg, "\n");
  }
  
  if( jQuery('.wtd_custom_art').length >0)
  {
    jQuery('.wtd_custom_art').click(function(e)
    {
      e.preventDefault();
      jQuery('.wtd_overlay').fadeIn();
      jQuery('.wtd_text_msg_admin').fadeIn();
      jQuery('.wtd_text_msg_admin').find('.wtd_no_text_title_admin').html('Art Delete confirmation');
      jQuery('.wtd_text_msg_admin').find('.wtd_no_text_msg_content_admin').html('Are you sure, you want to delete this art?');
      jQuery('.wtd_admin_confirmation_msg_ok_button').attr('newID',jQuery(this).attr('id'));
    });
  }
  
  if( jQuery('.wtd_admin_confirmation_msg_cancel_button').length >0 )
  {
    jQuery('.wtd_admin_confirmation_msg_cancel_button').click(function(e)
    {
      e.preventDefault();
      jQuery('.wtd_text_msg_admin').fadeOut();
      jQuery('.wtd_overlay').fadeOut();
    });
  }
  
  if( jQuery('.wtd_admin_confirmation_msg_ok_button').length >0 )
  {
    jQuery('.wtd_admin_confirmation_msg_ok_button').click(function(e)
    {
      e.preventDefault();
      jQuery('.wtd_admin_loader_in_popup').css("display", "inline-block");
      jQuery.ajax ({
        type:"POST",
        url:jQuery('#wtd_plugin_url').val() + "/includes/tshirt-designer-ajax.php",
        data: {type:'wtd_remove_selected_art',id: jQuery(this).attr('newID')},
        success: function(data)
        {
           if(data === 'deleted' )
           {
             jQuery('.wtd_admin_loader_in_popup').css("display", "none");
             jQuery('.wtd_text_msg_admin').fadeOut();
             jQuery('.wtd_overlay').fadeOut();
             window.location.href = window.location.href;
           }
        },
        error: function(){}
      });
    });
  }
  
  if( jQuery('.wtd_art_image_div').length >0 )
  {
    jQuery('.wtd_art_image_div').click(function()
    {
      jQuery('.wtd_gallery_image').find('.wtd_art_selected_bg').removeClass('wtd_art_selected_bg');
      jQuery( this ).addClass('wtd_art_selected_bg');
      var imgObj = new Image();
      imgObj.src = jQuery( this ).find( 'img' ).attr( 'src' );
      
      imgObj.onload = function () 
      {
        var image = new fabric.Image( imgObj );
        var getRatio = scaleSize( 100, 110, image.getWidth(), image.getHeight());
        image.setWidth( getRatio[0] );
        image.setHeight( getRatio[1] );
        
        image.set({
            left:canvasObj.getWidth()/2,
            top:canvasObj.getHeight()/2,
            itemName:'art'
        });
        
        canvasObj.add( image );
        canvasObj.setActiveObject( image );
      }
      
    });
  }
  
//file upload    
var options = 
{
  beforeSend: function() 
  {
    jQuery("#wtd_progress").show();
    //clear everything
    jQuery("#wtd_bar").width('0%');
    jQuery("#wtd_message").html("");
    jQuery("#wtd_percent").html("0%");
  },
  uploadProgress: function(event, position, total, percentComplete) 
  {
    jQuery("#wtd_bar").width(percentComplete+'%');
    jQuery("#wtd_percent").html(percentComplete+'%');
  },
  success: function() 
  {
    jQuery("#wtd_bar").width('100%');
    jQuery("#wtd_percent").html('100%');
  },
  complete: function( response ) 
  {
    if( response.responseText === 'errorFile' )
    {
      jQuery("#wtd_bar").width('0%');
      jQuery("#wtd_percent").html('0%');
      jQuery("#wtd_message").html( "<font>ERROR: unable to upload files</font>" );
      setTimeout('wtd_msg_clear()',1000);
    }
    else if( response.responseText === 'error' )
    {
      jQuery("#wtd_bar").width('0%');
      jQuery("#wtd_percent").html('0%');
      jQuery("#wtd_message").html("<font>ERROR: not supported file</font>");
      setTimeout('wtd_msg_clear()',1000);
    }
    else
    {
      if( response.responseText )
      {
        var randomID = wtd_makeid();
        var uploadImgObj = new Image();
        uploadImgObj.src = response.responseText;

        uploadImgObj.onload = function () 
        {
          var image = new fabric.Image( uploadImgObj );
          image.set({
              top:canvasObj.getHeight()/2,
              left:canvasObj.getWidth()/2,
              itemName:'art',
              id:randomID
          });
          var getRatio = scaleSize( 100, 110, image.getWidth(), image.getHeight());
          image.setWidth( getRatio[0] );
          image.setHeight( getRatio[1] );
          canvasObj.add( image );
          //canvasObj.centerObject( image );
          canvasObj.setActiveObject( image );
          
          jQuery("#wtd_bar").width('0%');
          jQuery("#wtd_percent").html('0%');
          jQuery("#wtd_message").html("<font>Successfully uploaded</font>");
          setTimeout('wtd_msg_clear()',1000);
          
          logoObj['id'] = randomID;
          logoObj['imgSrc'] = response.responseText;
          ary.push( logoObj );
        }
        //canvasObj.renderAll();
      }
      else
      {
        jQuery("#wtd_bar").width('0%');
        jQuery("#wtd_percent").html('0%');
        jQuery("#wtd_message").html("<font>No file selected</font>");
        setTimeout('wtd_msg_clear()',1000);
      }
    }
  },
  error: function()
  {
    jQuery("#wtd_bar").width('0%');
    jQuery("#wtd_percent").html('0%');
    jQuery("#wtd_message").html("<font color='red'>ERROR: unable to upload files</font>");
    setTimeout('wtd_msg_clear()',1000);
  }
};

jQuery("#wtdUploadArt").ajaxForm( options );

if( jQuery('#wtd_art_delete_icon').length >0 )
{
  jQuery('#wtd_art_delete_icon').click(function(event)
  {
    event.preventDefault();
    var getActiveObj =canvasObj.getActiveObject();
    if( getActiveObj )
    {
      if( getActiveObj.id )
      {
        var id = getActiveObj.id;
        jQuery.each(ary, function(j)
        {
            if( ary[j].id === id ) 
            {
             ary.splice(j,1);
              return false;
            }
        });
      }
      canvasObj.remove( getActiveObj );
      canvasObj.renderAll();
    }
  });
}

if( jQuery('#wtd_newart_icon').length >0 )
{
  jQuery('#wtd_newart_icon').click(function(event)
  {
    event.preventDefault();
    wtd_clearPanel();
    canvasObj.deactivateAll();
    canvasObj.renderAll();
  });
}

if( jQuery('.wtd_move_front_icon').length >0 )
{
  jQuery('.wtd_move_front_icon').click(function()
  {
    var activeObject = canvasObj.getActiveObject();
    if( activeObject )
    {
      canvasObj.bringToFront( activeObject );
    }
  });
}

if( jQuery('.wtd_move_back_icon').length >0 )
{
  jQuery('.wtd_move_back_icon').click(function()
  {
    var activeObject = canvasObj.getActiveObject();
    if( activeObject )
    {
      canvasObj.sendToBack( activeObject );
    }
  });
}

if( jQuery('.wtd_selected_product_image').length >0 )
{
  jQuery('.wtd_selected_product_image').click(function()
  {
    var getSelectedTab = jQuery('.wtd_design_panel_main').find('.wtd_selected_tab').attr('id');
    jQuery( '#' + getSelectedTab ).removeClass ( 'wtd_selected_tab' );
    jQuery('.wtd_products_list').addClass('wtd_selected_tab');
    if( getSelectedTab === 'wtd_add_new_text' )
    {
      wtd_add_text_tab();
    }
    else if( getSelectedTab === 'wtd_add_new_art' )
    {
      wtd_add_art_tab();
    }
    else if( getSelectedTab === 'wtd_add_name_number' )
    {
      wtd_add_name_tab();
    }
    else if( getSelectedTab === 'wtd_add_to_cart' )
    {
      wtd_add_to_cart_tab();
    }

    jQuery('.wtd_products_list').css("background-color","#" + jQuery('#wtd_menu_selected_color').val());
    jQuery('.wtd_products_list').css("border-top","2px solid #" + jQuery('#wtd_menu_default_color').val());
    jQuery('.wtd_products_list').css("border-left","2px solid #" + jQuery('#wtd_menu_default_color').val());
    jQuery('.wtd_products_list').find('.wtd_products_list_icon').removeClass('wtd_products_list_icon').addClass('wtd_products_list_icon_hover');
    jQuery('.wtd_top_panel_control_text_product').css("color","#" + jQuery('#wtd_menu_selected_text_color').val());

    jQuery('.wtd_add_new_text_panel').hide();
    jQuery('.wtd_add_art_panel').hide();
    jQuery('.wtd_help').hide();
    jQuery('.wtd_add_to_cart_panel').hide(); 
    jQuery('.wtd_product_list_in_content').show();

    var product_id = jQuery(this).data('id');
    canvasObj.deactivateAll().renderAll();
    canvDataobj[prev_canvobj] = {imgid:prev_canvobj,customdata:JSON.stringify(canvasObj.toJSON(['id','name','itemName'])),screenshot:canvasObj.toDataURL()};
    svgObj[prev_canvobj] = Base64.encode(canvasObj.toSVG());
    
    canvasObj.clear();
    prev_canvobj = product_id;
    
    if(typeof(canvDataobj[product_id])!='undefined')
    {
      canvasObj.loadFromJSON(canvDataobj[product_id].customdata,canvasObj.renderAll.bind(canvasObj));
    }
    else
    {
      wtd_load_bg_image( jQuery( this ).attr('img-url') );
    }
  });
}

if(jQuery('.wtd_design_preview_main').length >0 )
{
  jQuery('.wtd_design_preview_main').click(function()
  {
    jQuery('.wtd_overlay').fadeIn();
    jQuery('.wtd_preview_main_div').fadeIn();
    canvasObj.deactivateAll().renderAll();
    var data = canvasObj.toDataURL()          
    jQuery('.wtd_preview_image_content').html('<img src="'+ data +'" />');
  });
}

if(jQuery('.wtd_preview_close_icon').length >0)
{
  jQuery('.wtd_preview_close_icon').click(function()
  {
    jQuery('.wtd_preview_main_div').fadeOut();
    jQuery('.wtd_overlay').fadeOut();
  });
}
if(jQuery('#wtd_add_to_cart_button'). length >0)
{
  jQuery('#wtd_add_to_cart_button').click(function(event)
  {
    event.preventDefault();
		
		jQuery('.panel_loader').show();
    var hasVariationsValue;
    if( jQuery('.wtd_all_variation').length >0 )
    {
      var getSelectedValue = '';
      var getAttrVal = '';
      jQuery('.wtd_variation').each(function()
      {
        getSelectedValue += jQuery( '#' + jQuery( this ).attr('id') + ' option:selected').val() + ',';
      });
      jQuery('.wtd_attr_name').each(function()
      {
        getAttrVal += jQuery( this ).html() + ',';
      });
      var modifiedString = getSelectedValue.replace(/,\s*$/, '');
      var modifiedStringAttr = getAttrVal.replace(/,\s*$/, '');
      cartItemobj.attrName = modifiedStringAttr;
      cartItemobj.attrValue = modifiedString;
      hasVariationsValue = cartItemobj.attrValue.indexOf('-1');
    }
    else
    {
      hasVariationsValue = 'no_variation_data';
    }
    
    if( hasVariationsValue == -1 || hasVariationsValue == 'no_variation_data' )
    {
      jQuery('.wtd_loader_add_to_cart').css("display", "inline-block");
      
      canvasObj.deactivateAll().renderAll();
      canvDataobj[prev_canvobj] = {imgid:prev_canvobj,customdata:JSON.stringify(canvasObj.toJSON()), screenshot:canvasObj.toDataURL({format: 'png', width: 545, height: 400, multiplier: 2})};
      svgObj[prev_canvobj] = Base64.encode(canvasObj.toSVG());
      
      //get quantity
      var qtys = jQuery('#wtd_qty').val();
      if( qtys >0 && qtys )
      {
        qtys = qtys;
      }
      else
      {
        qtys = 1;
      }

      //get upload logo
      var logos='';
      if( ary.length>0 )
      {
        for( var k=0;k<ary.length;k++ )
        {
          var imgUrl = ary[k].imgSrc.replace( jQuery('#wtd_upload_url').val(),' ');
          logos += imgUrl + '##';
        }
      }
      
      //get screenshot
      for(var key in canvDataobj)
      {
        var getCustomObjData = JSON.parse( canvDataobj[key].customdata );
        var getImgID = canvDataobj[key].imgid

        if( getCustomObjData )
        {
          delete canvDataobj[key].customdata;
        }
        if( getImgID )
        {
          delete canvDataobj[key].imgid;
        }
      }

      //create request object
      if( logos )
      {
        logos = logos.replace(/##\s*$/, '');
      }
      cartItemobj.productID = jQuery('#productID').val();
      cartItemobj.qty = qtys;
      cartItemobj.logo = logos;
      cartItemobj.price = jQuery('#wtd_store_total_price').val();
      //cartItemobj.customData = canvDataobj;
      cartItemobj.customData = '';

      jQuery.ajax ({
        type:"POST",
        url:jQuery('#wtd_plugin_url').val() + "/includes/tshirt-designer-ajax.php",
        data: {type:'wtd_add_to_cart',wtd_design_data:cartItemobj},
        success: function( data )
        {
          if( data == 'cart_updated' )
          {
            jQuery.ajax ({
	      type:"POST",
	      url:jQuery('#wtd_plugin_url').val() + "/includes/tshirt-designer-ajax.php",
	      data: {type:'svg_data_save', svg_data:svgObj},
	      success: function( data )
	      {
	        if( data == 'svg_added' )
	        {
	    jQuery('.wtd_loader_add_to_cart').css("display", "none");
	    if(jQuery('.wtd_cart_success_msg').length>0)
	    {
	      jQuery('.wtd_cart_success_msg').html(jQuery('#wtd_view_cart_msg').val() + '&nbsp;<a id="wtd_view_cart" href="">'+ jQuery('#wtd_view_cart').val() +'</a>');
	      jQuery('#wtd_view_cart').attr('href',jQuery('#wtd_cart_url').val());
	    }
	    else
	    {
	      jQuery('.wtd_qty_n_add_to_cart_panel').after('<div class="wtd_cart_success_msg">'+ jQuery('#wtd_view_cart_msg').val() +'&nbsp;<a id="wtd_view_cart" href="">'+ jQuery('#wtd_view_cart').val() +'</a></div>');
	      jQuery('#wtd_view_cart').attr('href',jQuery('#wtd_cart_url').val());
	    }
	    setTimeout('wtd_cart_msg_clear()',7000);
			
						jQuery('.panel_loader').hide();
	        }
	      },
	      error: function(){}
            });
          }
        },
        error: function(){}
      });
    }
    else
    {
      jQuery('.wtd_overlay').fadeIn();
      jQuery('.wtd_no_text_msg').fadeIn();
      jQuery('.wtd_no_text_msg').find('.wtd_no_text_title').html(jQuery('#wtd_add_options_error').val());
      jQuery('.wtd_no_text_msg').find('.wtd_no_text_msg_content').html(jQuery('#wtd_add_options_error_msg').val());
    }
  });
}
});

function wtd_variations_ajax( pID )
{
	jQuery('.panel_loader').show();
  jQuery('.wtd_variations_panel').html('');
  jQuery.ajax ({
    type:"POST",
    dataType: "json",
    url:jQuery('#wtd_plugin_url').val() + "/includes/tshirt-designer-ajax.php",
    data: {type:'wtd_get_variations_by_product_id',id: pID},
    success: function( data )
    {
     if( data )
     {
       if( !data[0].str )
       {
         jQuery('.wtd_add_to_cart_button_area').fadeIn();
       }
       else
       {
         jQuery('.wtd_variations_panel').html( data[0].str );
         jQuery('.wtd_add_to_cart_button_area').fadeOut();
       }
       jQuery('#wtd_total_price').html( data[0].price );
       jQuery('#wtd_store_total_price').val( data[0].price );
			 
			 jQuery('.panel_loader').hide();
     }
    },
    error: function(){}
  });
}

function scaleSize(maxW, maxH, currW, currH)
{
  var ratio = currH / currW;
  if(currW >= maxW && ratio <= 1)
  {
    currW = maxW;
    currH = currW * ratio;
  } 
  else if(currH >= maxH)
  {
    currH = maxH;
    currW = currH / ratio;
  }
  return [currW, currH];
}

function wtd_msg_clear()
{
  jQuery("#wtd_message").html("");
  jQuery("#wtd_progress").hide();
}

function wtd_cart_msg_clear()
{
  if( jQuery('.wtd_cart_success_msg').length>0)
  {
    jQuery('.wtd_cart_success_msg').remove();
  }
}

function wtd_set_variations_price( obj )
{
  if( jQuery('.wtd_all_variation').length >0 )
  {
    var getSelectedValue = '';
    var getAttrVal = '';
    jQuery('.wtd_variation').each(function()
    {
      getSelectedValue += jQuery( '#' + jQuery( this ).attr('id') + ' option:selected').val() + ',';
    });
    jQuery('.wtd_attr_name').each(function()
    {
      getAttrVal += jQuery( this ).data('attr_name') + ',';
    });
    var modifiedString = getSelectedValue.replace(/,\s*$/, '');
    var modifiedStringAttr = getAttrVal.replace(/,\s*$/, '');
    var hasVariationsValue = modifiedString.indexOf('selectOptions');
    //ajax request for variation price
    jQuery.ajax ({
      type:"POST",
      dataType: "json",
      url:jQuery('#wtd_plugin_url').val() + "/includes/tshirt-designer-ajax.php",
      data: {type:'wtd_get_variations_price_by_id',strAttrName:modifiedStringAttr,strAttrVal: modifiedString,id:jQuery('#productID').val()},
      success: function( data )
      {
       if( data )
       {
         if( data[0].match_status && data[0].match_status === 'no_match' && hasVariationsValue == '-1' )
         {
           jQuery('.wtd_all_variation').find('.wtd_variation').each(function()
           {
             jQuery('#' + jQuery(this).attr('id')).val('selectOptions').attr('selected',true);
           });
           jQuery('.wtd_add_to_cart_button_area').fadeOut();
         }
         else if( hasVariationsValue == '-1' )
         {
           jQuery('.wtd_add_to_cart_button_area').fadeIn();
         }
         else if( hasVariationsValue !== '-1' )
         {
           jQuery('.wtd_add_to_cart_button_area').fadeOut();
         }
         jQuery('#wtd_total_price').html( data[0].price );
         jQuery('#wtd_store_total_price').val( data[0].price );
       }
      },
      error: function(){}
    });
  }
}

function wtd_makeid()
{
  var text = "";
  var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";

  for( var i=0; i < 5; i++ )
      text += possible.charAt(Math.floor(Math.random() * possible.length));

  return text;
}

//curved text
var CurvedText = (function() {

    function CurvedText( canvas, options ){
      this.opts = options || {};
      for ( var prop in CurvedText.defaults ) {
         if (prop in this.opts) { continue; }
         this.opts[prop] = CurvedText.defaults[prop];
      }

      this.canvas = canvas;
      this.group = new fabric.Group([], {selectable: this.opts.selectable,name:'arc',radiusVal:this.opts.radius,spacingVal:this.opts.spacing,textFliping:this.opts.reverse,itemName:'text'});
      this.canvas.add( this.group ) ;
      this.canvas.centerObject( this.group );
      this._forceGroupUpdate();
      this.setText( this.opts.text );
      this.canvas.setActiveObject( this.group );
    }
    
    CurvedText.prototype.set = function( param, value, obj ) {
      this.group = obj;
      this.opts.top=this.group.top;
      this.opts.left=this.group.left;
      
      if ( this.opts[param] !== undefined ) {
        this.opts[param] = value;
        if ( param === 'fontSize' || param === 'fontWeight' || param === 'fontFamily' || param === 'fontColor' ) {
          this.opts.textStyleName = param;
          this._setFontStyles();
        }
        if ( param === 'selectable' ) {
          this.group.selectable = value;
        }
        if ( param === 'angle' ) {
          this._forceGroupUpdate();
        }
        if( param === 'radius' || param === 'spacing' )
        {
          this.group.radiusVal = this.opts.radius;
          this.group.spacingVal = this.opts.spacing;
        }
        if ( param === 'reverse' ) {
          this.group.textFliping = this.opts.reverse;
        }

        this._render();
        return true;
      } else {
        return false;
      }
    };
    
    CurvedText.prototype.get = function( param ) {
      this._render();
      if ( this.opts[param] !== undefined ) {
        return this.opts[param];
      } else {
        return false;
      }
    };
    
    CurvedText.prototype.getParams = function() {
      this._render();
      return this.opts;
    };
    
    CurvedText.prototype.center = function() {
      this.opts.top = this.canvas.height / 2;
      this.opts.left = this.canvas.width / 2;
      this._render();
      return { top:this.opts.top, left:this.opts.left };
    };
    
    CurvedText.prototype.remove = function() {
      var size = this.group.size();
      for ( var i=size; i>=0; i-- ){
        this.group.remove( this.group.item(i) );
      }
      this.canvas.renderAll();
    };
    
    CurvedText.prototype.setObj = function(obj) 
    {
      this.group=obj;
    };
    
    CurvedText.prototype.setText = function( newText ) {
      
      this.opts.top=this.group.top;
      this.opts.left=this.group.left;
      
      while ( newText.length !== 0 && this.group.size() >= newText.length ) {
        this.group.remove( this.group.item( this.group.size()-1 ) );
      }
      
      for ( var i=0; i<newText.length; i++ ){
        if ( this.group.item(i) === undefined ){
          var letter = new fabric.Text(newText[i], {
            selectable: true
          });
          this.group.add( letter );
        }
        else{
          this.group.item(i).text = newText[i];
        }
      }
      this.opts.text = newText;
      this._setFontStyles();
      this._render();
    };
    
    CurvedText.prototype._setFontStyles = function() {
      for ( var i=0; i<this.group.size(); i++ ){
        if( this.opts.textStyleName )
        {
          if( this.opts.textStyleName === 'fontFamily' )
          {
            this.group.item(i).setFontFamily( this.opts.fontFamily );
          }
          if( this.opts.textStyleName === 'fontColor' )
          {
            this.group.item(i).setFill( this.opts.fontColor );
          }
        }
        else
        {
          this.group.item(i).setFontFamily( this.opts.fontFamily );
          this.group.item(i).setFill( this.opts.fontColor );
        }
        this.group.item(i).setFontSize( this.opts.fontSize );
        this.group.item(i).fontWeight = this.opts.fontWeight ;
      }
    };

    CurvedText.prototype._forceGroupUpdate = function() {
      this.group.setAngle( this.opts.angle );
      this.group.scaleX = this.opts.scaleX;
      this.group.scaleY = this.opts.scaleY;
      this._render();
    };

    CurvedText.prototype._render = function() {
        var curAngle=0,angleRadians=0, align=0;

        // Object may have been moved with drag&drop
        if ( this.group.hasMoved() ) {
          this.opts.top = this.group.top;
          this.opts.left = this.group.left;
        }
        this.opts.angle = this.group.getAngle();
        this.opts.scaleX = this.group.scaleX;
        this.opts.scaleY = this.group.scaleY;
        this.opts.radius = this.group.radiusVal;
        this.opts.spacing = this.group.spacingVal;
        this.opts.reverse = this.group.textFliping;


        // Text align
        if ( this.opts.align === 'center' ) {
          align = ( this.opts.spacing / 2) * ( this.group.size() - 1) ;
        } else if ( this.opts.align === 'right' ) {
          align = ( this.opts.spacing ) * ( this.group.size() - 1) ;
        }
        
        for ( var i=0; i<this.group.size(); i++) {
          // Find coords of each letters (radians : angle*(Math.PI / 180)
          if ( this.opts.reverse ) {
            curAngle = (-i * parseInt( this.opts.spacing, 10 )) + align;
            angleRadians = curAngle * (Math.PI / 180);
            this.group.item(i).set( 'top', (Math.cos( angleRadians ) * this.opts.radius) );
            this.group.item(i).set( 'left', (-Math.sin( angleRadians ) * this.opts.radius) );
          } else {
            curAngle = (i * parseInt( this.opts.spacing, 10)) - align;
            angleRadians = curAngle * (Math.PI / 180);
            this.group.item(i).set( 'top', (-Math.cos( angleRadians ) * this.opts.radius) );
            this.group.item(i).set( 'left', (Math.sin( angleRadians ) * this.opts.radius) ) ;
          }
          this.group.item(i).setAngle( curAngle );
        }
        
        // Update group coords
        this.group._calcBounds();
        this.group._updateObjectsCoords();
        this.group.top = this.opts.top;
        this.group.left = this.opts.left;
        this.group.saveCoords();

        this.canvas.renderAll();
    };

    CurvedText.defaults = {
      top: 0,
      left: 0,
      scaleX: 1,
      scaleY: 1,
      angle: 0,
      spacing:0,
      radius:0,
      text: '',
      align: 'center',
      reverse:'',
      fontSize:16,
      fontWeight: 'normal',
      selectable: true,
      fontFamily:'',
      fontColor:'',
      textStyleName:''
    };

    return CurvedText;
})();